#!/bin/sh

if [ ! -f /opt/bin/opkg ]; then
    echo "Не удалось определить принадлежность данного устройства к Entware"
fi

ARCH=$(opkg print-architecture | awk '{print $3, $2}' | sort -n | tail -n1 | awk '{print $2}')
echo "Определена архитектура: $ARCH"

mkdir -p /opt/etc/opkg
echo "src/gz magitrickle http://bin.magitrickle.dev/packages/entware/$ARCH" > /opt/etc/opkg/magitrickle.conf

echo "Репозиторий успешно добавлен!"
echo "Не забудь выполнить \"opkg update && opkg install magitrickle\"!"
